1.1
1.1
get /v1/backups/{backup_id}/restore-histories
Description
복구 이력을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | backup_id required | Backup ID Example : 00cd2538fbf94d12b36aabbdd607e974 | string | None |
| query | page optional | 페이지 Example : 0 | any of [integer, null] | 0 |
| query | size optional | 항목 수 Example : 20 | any of [integer, null] | 20 |
| query | sort optional | 정렬 조건 Example : backup_start_time:desc | any of [string, null] | created_at:desc |
| query | restore_state optional | 복구 상태 Example : COMPLETED | any of [enum (COMPLETED, FAILED, INPROGRESS), null] | None |
| query | start_time optional | 시작 일시 Example : 2024-09-30T15:00:00Z | any of [string (date-time), null] | None |
| query | end_time optional | 검색 종료 일시 Example : 2024-10-31T14:59:59Z | any of [string (date-time), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupRestoreHistoryListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/backups/{backup_id}/restore-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = backup 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"backup_id": "00cd2538fbf94d12b36aabbdd607e974",
"backup_start_time": "2024-10-28T05:38:48",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"restore_end_time": "2024-10-28T05:52:47",
"restore_server_id": "26895cb7-2059-49e7-b6fe-9c9c4b0d3db0",
"restore_server_name": "restoretest1",
"restore_start_time": "2024-10-28T05:52:47",
"restore_state": "COMPLETED",
"schedule_name": "INCREMENTAL_DAILY_15:00:00-chg4By"
}
],
"count": 1
}